App\Library\Amazon\Classes\Ridingboots:
    xml_root_name: Ridingboots
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\Ridingboots\VariationDataAType
        accessLocation:
            expose: true
            access_type: public_method
            serialized_name: AccessLocation
            accessor:
                getter: getAccessLocation
                setter: setAccessLocation
            type: string
        amperage:
            expose: true
            access_type: public_method
            serialized_name: Amperage
            accessor:
                getter: getAmperage
                setter: setAmperage
            type: App\Library\Amazon\Classes\AmperageDimensionType
        autoPartPosition:
            expose: true
            access_type: public_method
            serialized_name: AutoPartPosition
            accessor:
                getter: getAutoPartPosition
                setter: setAutoPartPosition
            type: string
        batteryCellComposition:
            expose: true
            access_type: public_method
            serialized_name: BatteryCellComposition
            accessor:
                getter: getBatteryCellComposition
                setter: setBatteryCellComposition
            type: string
        batteryDescription:
            expose: true
            access_type: public_method
            serialized_name: BatteryDescription
            accessor:
                getter: getBatteryDescription
                setter: setBatteryDescription
            type: string
        batteryFormFactor:
            expose: true
            access_type: public_method
            serialized_name: BatteryFormFactor
            accessor:
                getter: getBatteryFormFactor
                setter: setBatteryFormFactor
            type: string
        colorSpecification:
            expose: true
            access_type: public_method
            serialized_name: ColorSpecification
            accessor:
                getter: getColorSpecification
                setter: setColorSpecification
            type: App\Library\Amazon\Classes\Ridingboots\ColorSpecificationAType
        compatibleWithVehicleType:
            expose: true
            access_type: public_method
            serialized_name: CompatibleWithVehicleType
            accessor:
                getter: getCompatibleWithVehicleType
                setter: setCompatibleWithVehicleType
            type: string
        dimmingControl:
            expose: true
            access_type: public_method
            serialized_name: DimmingControl
            accessor:
                getter: getDimmingControl
                setter: setDimmingControl
            type: string
        innerMaterial:
            expose: true
            access_type: public_method
            serialized_name: InnerMaterial
            accessor:
                getter: getInnerMaterial
                setter: setInnerMaterial
            type: string
        liningDescription:
            expose: true
            access_type: public_method
            serialized_name: LiningDescription
            accessor:
                getter: getLiningDescription
                setter: setLiningDescription
            type: string
        loadCapacity:
            expose: true
            access_type: public_method
            serialized_name: LoadCapacity
            accessor:
                getter: getLoadCapacity
                setter: setLoadCapacity
            type: App\Library\Amazon\Classes\WeightDimensionType
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            xml_list:
                inline: true
                entry_name: Material
            type: array<string>
        maximumCircumference:
            expose: true
            access_type: public_method
            serialized_name: MaximumCircumference
            accessor:
                getter: getMaximumCircumference
                setter: setMaximumCircumference
            type: App\Library\Amazon\Classes\LengthDimensionType
        minimumCircumference:
            expose: true
            access_type: public_method
            serialized_name: MinimumCircumference
            accessor:
                getter: getMinimumCircumference
                setter: setMinimumCircumference
            type: App\Library\Amazon\Classes\LengthDimensionType
        modelName:
            expose: true
            access_type: public_method
            serialized_name: ModelName
            accessor:
                getter: getModelName
                setter: setModelName
            type: string
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: string
        modelYear:
            expose: true
            access_type: public_method
            serialized_name: ModelYear
            accessor:
                getter: getModelYear
                setter: setModelYear
            type: integer
        numberOfGrooves:
            expose: true
            access_type: public_method
            serialized_name: NumberOfGrooves
            accessor:
                getter: getNumberOfGrooves
                setter: setNumberOfGrooves
            type: integer
        numberOfHoles:
            expose: true
            access_type: public_method
            serialized_name: NumberOfHoles
            accessor:
                getter: getNumberOfHoles
                setter: setNumberOfHoles
            type: integer
        occasionAndLifestyle:
            expose: true
            access_type: public_method
            serialized_name: OccasionAndLifestyle
            accessor:
                getter: getOccasionAndLifestyle
                setter: setOccasionAndLifestyle
            type: string
        outerMaterial:
            expose: true
            access_type: public_method
            serialized_name: OuterMaterial
            accessor:
                getter: getOuterMaterial
                setter: setOuterMaterial
            type: string
        packageTypeName:
            expose: true
            access_type: public_method
            serialized_name: PackageTypeName
            accessor:
                getter: getPackageTypeName
                setter: setPackageTypeName
            type: string
        partInterchangeData:
            expose: true
            access_type: public_method
            serialized_name: PartInterchangeData
            accessor:
                getter: getPartInterchangeData
                setter: setPartInterchangeData
            type: App\Library\Amazon\Classes\Ridingboots\PartInterchangeDataAType
        shaftDiameter:
            expose: true
            access_type: public_method
            serialized_name: ShaftDiameter
            accessor:
                getter: getShaftDiameter
                setter: setShaftDiameter
            type: integer
        shellType:
            expose: true
            access_type: public_method
            serialized_name: ShellType
            accessor:
                getter: getShellType
                setter: setShellType
            type: string
        shoeClosureType:
            expose: true
            access_type: public_method
            serialized_name: ShoeClosureType
            accessor:
                getter: getShoeClosureType
                setter: setShoeClosureType
            type: string
        shoeWidth:
            expose: true
            access_type: public_method
            serialized_name: ShoeWidth
            accessor:
                getter: getShoeWidth
                setter: setShoeWidth
            type: string
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        sizeMap:
            expose: true
            access_type: public_method
            serialized_name: SizeMap
            accessor:
                getter: getSizeMap
                setter: setSizeMap
            type: string
        soleMaterial:
            expose: true
            access_type: public_method
            serialized_name: SoleMaterial
            accessor:
                getter: getSoleMaterial
                setter: setSoleMaterial
            type: string
        treadDepth:
            expose: true
            access_type: public_method
            serialized_name: TreadDepth
            accessor:
                getter: getTreadDepth
                setter: setTreadDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        uniformTireQualityGradeRating:
            expose: true
            access_type: public_method
            serialized_name: UniformTireQualityGradeRating
            accessor:
                getter: getUniformTireQualityGradeRating
                setter: setUniformTireQualityGradeRating
            type: string
        viscosity:
            expose: true
            access_type: public_method
            serialized_name: Viscosity
            accessor:
                getter: getViscosity
                setter: setViscosity
            type: string
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: integer
        volumeCapacityName:
            expose: true
            access_type: public_method
            serialized_name: VolumeCapacityName
            accessor:
                getter: getVolumeCapacityName
                setter: setVolumeCapacityName
            type: string
        warrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: WarrantyDescription
            accessor:
                getter: getWarrantyDescription
                setter: setWarrantyDescription
            type: string
        waterResistanceLevel:
            expose: true
            access_type: public_method
            serialized_name: WaterResistanceLevel
            accessor:
                getter: getWaterResistanceLevel
                setter: setWaterResistanceLevel
            type: string
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: integer
        wheelBackspacing:
            expose: true
            access_type: public_method
            serialized_name: WheelBackspacing
            accessor:
                getter: getWheelBackspacing
                setter: setWheelBackspacing
            type: App\Library\Amazon\Classes\LengthDimensionType
        department:
            expose: true
            access_type: public_method
            serialized_name: Department
            accessor:
                getter: getDepartment
                setter: setDepartment
            type: string
        itemShape:
            expose: true
            access_type: public_method
            serialized_name: ItemShape
            accessor:
                getter: getItemShape
                setter: setItemShape
            type: string
        isExpirationDatedProduct:
            expose: true
            access_type: public_method
            serialized_name: IsExpirationDatedProduct
            accessor:
                getter: getIsExpirationDatedProduct
                setter: setIsExpirationDatedProduct
            type: boolean
        operatingLife:
            expose: true
            access_type: public_method
            serialized_name: OperatingLife
            accessor:
                getter: getOperatingLife
                setter: setOperatingLife
            type: App\Library\Amazon\Classes\TimeDimensionType
        isStainResistant:
            expose: true
            access_type: public_method
            serialized_name: IsStainResistant
            accessor:
                getter: getIsStainResistant
                setter: setIsStainResistant
            type: boolean
        isAssemblyRequired:
            expose: true
            access_type: public_method
            serialized_name: IsAssemblyRequired
            accessor:
                getter: getIsAssemblyRequired
                setter: setIsAssemblyRequired
            type: boolean
        efficiency:
            expose: true
            access_type: public_method
            serialized_name: Efficiency
            accessor:
                getter: getEfficiency
                setter: setEfficiency
            type: string
